# Uses of Class
org.eclipse.search.ui.text.TextSearchQueryProvider

Packages that use TextSearchQueryProvider
Package
Description
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of TextSearchQueryProvider in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return TextSearchQueryProvider
Modifier and Type
Method
Description
`static TextSearchQueryProvider`
TextSearchQueryProvider.`getPreferred()`
Returns the preferred query provider.